Bug 901028 (JBPAPP6-1297) - CLONE AS7-5688 ISPN000136: Execution error: java.lang.NullPointerException -> JBAS018079: Failed to passivate session
Summary: CLONE AS7-5688 ISPN000136: Execution error: java.lang.NullPointerException ->...
Status: CLOSED CURRENTRELEASE
Alias: JBPAPP6-1297
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Clustering
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: EAP 6.1.0
Assignee: Radoslav Husar
QA Contact:
URL: http://jira.jboss.org/jira/browse/JBP...
Whiteboard:
Keywords:
Depends On:
Blocks: 956640
TreeView+ depends on / blocked
 
Reported: 2012-10-08 13:46 UTC by Jitka Kozana
Modified: 2018-12-01 17:20 UTC (History)
13 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker AS7-5688 Major Closed ISPN000136: Execution error: java.lang.NullPointerException -> JBAS018079: Failed to passivate session 2018-12-03 06:21 UTC
JBoss Issue Tracker AS7-6618 Major Closed Upgrade Infinispan to 5.2.3.Final 2018-12-03 06:21 UTC
JBoss Issue Tracker ISPN-2845 Major Closed CLONE - ISPN000136: Execution error: java.lang.NullPointerException -> JBAS018079: Failed to passivate session 2018-12-03 06:21 UTC
JBoss Issue Tracker JBPAPP6-1297 Major Closed CLONE AS7-5688 ISPN000136: Execution error: java.lang.NullPointerException -> JBAS018079: Failed to passivate session 2018-12-03 06:21 UTC

Description Jitka Kozana 2012-10-08 13:46:55 UTC
project_key: JBPAPP6

The AS7-5688 was seen also during EAP 6.0.1.ER2 soak test:
{code}
[JBossINF] 04:57:53,891 ERROR [org.infinispan.interceptors.InvocationContextInterceptor] (ContainerBackgroundProcessor[StandardEngine[jboss.web]]) ISPN000136: Execution error: java.lang.Null
PointerException
[JBossINF]      at org.infinispan.context.impl.AbstractTxInvocationContext.clearLockedKeys(AbstractTxInvocationContext.java:100)
[JBossINF]      at org.infinispan.util.concurrent.locks.LockManagerImpl.unlockAll(LockManagerImpl.java:116)
[JBossINF]      at org.infinispan.interceptors.locking.AbstractTxLockingInterceptor.visitEvictCommand(AbstractTxLockingInterceptor.java:86)
[JBossINF]      at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF]      at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF]      at org.infinispan.interceptors.base.CommandInterceptor.handleDefault(CommandInterceptor.java:130)
[JBossINF]      at org.infinispan.commands.AbstractVisitor.visitEvictCommand(AbstractVisitor.java:87)
[JBossINF]      at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF]      at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF]      at org.infinispan.interceptors.base.CommandInterceptor.handleDefault(CommandInterceptor.java:130)
[JBossINF]      at org.infinispan.commands.AbstractVisitor.visitEvictCommand(AbstractVisitor.java:87)
[JBossINF]      at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF]      at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF]      at org.infinispan.interceptors.base.CommandInterceptor.handleDefault(CommandInterceptor.java:130)
[JBossINF]      at org.infinispan.commands.AbstractVisitor.visitEvictCommand(AbstractVisitor.java:87)
[JBossINF]      at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF]      at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF]      at org.infinispan.interceptors.CacheMgmtInterceptor.visitEvictCommand(CacheMgmtInterceptor.java:86)
[JBossINF]      at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF]      at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF]      at org.infinispan.interceptors.InvocationContextInterceptor.handleAll(InvocationContextInterceptor.java:132)
[JBossINF]      at org.infinispan.interceptors.InvocationContextInterceptor.handleDefault(InvocationContextInterceptor.java:91)
[JBossINF]      at org.infinispan.commands.AbstractVisitor.visitEvictCommand(AbstractVisitor.java:87)
[JBossINF]      at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF]      at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF]      at org.infinispan.interceptors.BatchingInterceptor.handleDefault(BatchingInterceptor.java:80)
[JBossINF]      at org.infinispan.commands.AbstractVisitor.visitEvictCommand(AbstractVisitor.java:87)
[JBossINF]      at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF]      at org.infinispan.interceptors.InterceptorChain.invoke(InterceptorChain.java:345)
[JBossINF]      at org.infinispan.CacheImpl.evict(CacheImpl.java:382)
[JBossINF]      at org.infinispan.CacheImpl.evict(CacheImpl.java:375)
[JBossINF]      at org.infinispan.AbstractDelegatingCache.evict(AbstractDelegatingCache.java:60)
[JBossINF]      at org.infinispan.AbstractDelegatingCache.evict(AbstractDelegatingCache.java:60)
[JBossINF]      at org.jboss.as.clustering.web.infinispan.DistributedCacheManager$4.invoke(DistributedCacheManager.java:305)
[JBossINF]      at org.jboss.as.clustering.web.infinispan.DistributedCacheManager$4.invoke(DistributedCacheManager.java:302)
[JBossINF]      at org.jboss.as.clustering.infinispan.invoker.BatchOperation.invoke(BatchOperation.java:19)
[JBossINF]      at org.jboss.as.clustering.infinispan.invoker.RetryingCacheInvoker.invoke(RetryingCacheInvoker.java:60)
[JBossINF]      at org.jboss.as.clustering.web.infinispan.DistributedCacheManager$ForceSynchronousCacheInvoker.invoke(DistributedCacheManager.java:528)
[JBossINF]      at org.jboss.as.clustering.web.infinispan.DistributedCacheManager.invoke(DistributedCacheManager.java:496)
[JBossINF]      at org.jboss.as.clustering.web.infinispan.DistributedCacheManager.evictSession(DistributedCacheManager.java:309)
[JBossINF]      at org.jboss.as.clustering.web.infinispan.DistributedCacheManager.evictSession(DistributedCacheManager.java:322)
[JBossINF]      at org.jboss.as.web.session.DistributableSessionManager.processUnloadedSessionPassivation(DistributableSessionManager.java:337) [jboss-as-web-7.1.3.Final-redhat-2.jar:7.1.3.Final-redhat-2]
[JBossINF]      at org.jboss.as.web.session.DistributableSessionManager.access$700(DistributableSessionManager.java:84) [jboss-as-web-7.1.3.Final-redhat-2.jar:7.1.3.Final-redhat-2]
[JBossINF]      at org.jboss.as.web.session.DistributableSessionManager$PassivationCheck.passivate(DistributableSessionManager.java:1559) [jboss-as-web-7.1.3.Final-redhat-2.jar:7.1.3.Final-redhat-2]
[JBossINF]      at org.jboss.as.web.session.DistributableSessionManager$PassivationCheck.access$300(DistributableSessionManager.java:1529) [jboss-as-web-7.1.3.Final-redhat-2.jar:7.1.3.Final-redhat-2]
[JBossINF]      at org.jboss.as.web.session.DistributableSessionManager.processExpirationPassivation(DistributableSessionManager.java:1293) [jboss-as-web-7.1.3.Final-redhat-2.jar:7.1.3.Final-redhat-2]
[JBossINF]      at org.jboss.as.web.session.AbstractSessionManager.processExpires(AbstractSessionManager.java:136) [jboss-as-web-7.1.3.Final-redhat-2.jar:7.1.3.Final-redhat-2]
[JBossINF]      at org.apache.catalina.session.ManagerBase.backgroundProcess(ManagerBase.java:375) [jbossweb-7.0.17.Final-redhat-1.jar:]
[JBossINF]      at org.apache.catalina.core.ContainerBase.backgroundProcess(ContainerBase.java:1317) [jbossweb-7.0.17.Final-redhat-1.jar:]
[JBossINF]      at org.apache.catalina.core.ContainerBase$ContainerBackgroundProcessor.processChildren(ContainerBase.java:1605) [jbossweb-7.0.17.Final-redhat-1.jar:]
[JBossINF]      at org.apache.catalina.core.ContainerBase$ContainerBackgroundProcessor.processChildren(ContainerBase.java:1617) [jbossweb-7.0.17.Final-redhat-1.jar:]
[JBossINF]      at org.apache.catalina.core.ContainerBase$ContainerBackgroundProcessor.processChildren(ContainerBase.java:1617) [jbossweb-7.0.17.Final-redhat-1.jar:]
[JBossINF]      at org.apache.catalina.core.ContainerBase$ContainerBackgroundProcessor.run(ContainerBase.java:1591) [jbossweb-7.0.17.Final-redhat-1.jar:]
[JBossINF]      at java.lang.Thread.run(Thread.java:662) [rt.jar:1.6.0_30]
{code}
which led to:
{code}
[JBossINF] 04:57:54,105 ERROR [org.apache.catalina.session.ManagerBase] (ContainerBackgroundProcessor[StandardEngine[jboss.web]]) JBAS018079: Failed to passivate unloaded  session BLAuePq4-gK18HcZ1eQBkcf7: java.lang.NullPointerException
[JBossINF]      at org.infinispan.context.impl.AbstractTxInvocationContext.clearLockedKeys(AbstractTxInvocationContext.java:100)
[JBossINF]      at org.infinispan.util.concurrent.locks.LockManagerImpl.unlockAll(LockManagerImpl.java:116)
[JBossINF]      at org.infinispan.interceptors.locking.AbstractTxLockingInterceptor.visitEvictCommand(AbstractTxLockingInterceptor.java:86)
[JBossINF]      at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF]      at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF]      at org.infinispan.interceptors.base.CommandInterceptor.handleDefault(CommandInterceptor.java:130)
[JBossINF]      at org.infinispan.commands.AbstractVisitor.visitEvictCommand(AbstractVisitor.java:87)
[JBossINF]      at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF]      at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF]      at org.infinispan.interceptors.base.CommandInterceptor.handleDefault(CommandInterceptor.java:130)
[JBossINF]      at org.infinispan.commands.AbstractVisitor.visitEvictCommand(AbstractVisitor.java:87)
[JBossINF]      at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF]      at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF]      at org.infinispan.interceptors.base.CommandInterceptor.handleDefault(CommandInterceptor.java:130)
[JBossINF]      at org.infinispan.commands.AbstractVisitor.visitEvictCommand(AbstractVisitor.java:87)
[JBossINF]      at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF]      at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF]      at org.infinispan.interceptors.CacheMgmtInterceptor.visitEvictCommand(CacheMgmtInterceptor.java:86)
[JBossINF]      at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF]      at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF]      at org.infinispan.interceptors.InvocationContextInterceptor.handleAll(InvocationContextInterceptor.java:132)
[JBossINF]      at org.infinispan.interceptors.InvocationContextInterceptor.handleDefault(InvocationContextInterceptor.java:91)
[JBossINF]      at org.infinispan.commands.AbstractVisitor.visitEvictCommand(AbstractVisitor.java:87)
[JBossINF]      at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF]      at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF]      at org.infinispan.interceptors.BatchingInterceptor.handleDefault(BatchingInterceptor.java:80)
[JBossINF]      at org.infinispan.commands.AbstractVisitor.visitEvictCommand(AbstractVisitor.java:87)
[JBossINF]      at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF]      at org.infinispan.interceptors.InterceptorChain.invoke(InterceptorChain.java:345)
[JBossINF]      at org.infinispan.CacheImpl.evict(CacheImpl.java:382)
[JBossINF]      at org.infinispan.CacheImpl.evict(CacheImpl.java:375)
[JBossINF]      at org.infinispan.AbstractDelegatingCache.evict(AbstractDelegatingCache.java:60)
[JBossINF]      at org.infinispan.AbstractDelegatingCache.evict(AbstractDelegatingCache.java:60)
[JBossINF]      at org.jboss.as.clustering.web.infinispan.DistributedCacheManager$4.invoke(DistributedCacheManager.java:305)
[JBossINF]      at org.jboss.as.clustering.web.infinispan.DistributedCacheManager$4.invoke(DistributedCacheManager.java:302)
[JBossINF]      at org.jboss.as.clustering.infinispan.invoker.BatchOperation.invoke(BatchOperation.java:19)
[JBossINF]      at org.jboss.as.clustering.infinispan.invoker.RetryingCacheInvoker.invoke(RetryingCacheInvoker.java:60)
[JBossINF]      at org.jboss.as.clustering.web.infinispan.DistributedCacheManager$ForceSynchronousCacheInvoker.invoke(DistributedCacheManager.java:528)
[JBossINF]      at org.jboss.as.clustering.web.infinispan.DistributedCacheManager.invoke(DistributedCacheManager.java:496)
[JBossINF]      at org.jboss.as.clustering.web.infinispan.DistributedCacheManager.evictSession(DistributedCacheManager.java:309)
[JBossINF]      at org.jboss.as.clustering.web.infinispan.DistributedCacheManager.evictSession(DistributedCacheManager.java:322)
[JBossINF]      at org.jboss.as.web.session.DistributableSessionManager.processUnloadedSessionPassivation(DistributableSessionManager.java:337) [jboss-as-web-7.1.3.Final-redhat-2.jar:7.1.3.Final-redhat-2]
[JBossINF]      at org.jboss.as.web.session.DistributableSessionManager.access$700(DistributableSessionManager.java:84) [jboss-as-web-7.1.3.Final-redhat-2.jar:7.1.3.Final-redhat-2]
[JBossINF]      at org.jboss.as.web.session.DistributableSessionManager$PassivationCheck.passivate(DistributableSessionManager.java:1559) [jboss-as-web-7.1.3.Final-redhat-2.jar:7.1.3.Final-redhat-2]
[JBossINF]      at org.jboss.as.web.session.DistributableSessionManager$PassivationCheck.access$300(DistributableSessionManager.java:1529) [jboss-as-web-7.1.3.Final-redhat-2.jar:7.1.3.Final-redhat-2]
[JBossINF]      at org.jboss.as.web.session.DistributableSessionManager.processExpirationPassivation(DistributableSessionManager.java:1293) [jboss-as-web-7.1.3.Final-redhat-2.jar:7.1.3.Final-redhat-2]
[JBossINF]      at org.jboss.as.web.session.AbstractSessionManager.processExpires(AbstractSessionManager.java:136) [jboss-as-web-7.1.3.Final-redhat-2.jar:7.1.3.Final-redhat-2]
[JBossINF]      at org.apache.catalina.session.ManagerBase.backgroundProcess(ManagerBase.java:375) [jbossweb-7.0.17.Final-redhat-1.jar:]
[JBossINF]      at org.apache.catalina.core.ContainerBase.backgroundProcess(ContainerBase.java:1317) [jbossweb-7.0.17.Final-redhat-1.jar:]
[JBossINF]      at org.apache.catalina.core.ContainerBase$ContainerBackgroundProcessor.processChildren(ContainerBase.java:1605) [jbossweb-7.0.17.Final-redhat-1.jar:]
[JBossINF]      at org.apache.catalina.core.ContainerBase$ContainerBackgroundProcessor.processChildren(ContainerBase.java:1617) [jbossweb-7.0.17.Final-redhat-1.jar:]
[JBossINF]      at org.apache.catalina.core.ContainerBase$ContainerBackgroundProcessor.processChildren(ContainerBase.java:1617) [jbossweb-7.0.17.Final-redhat-1.jar:]
[JBossINF]      at org.apache.catalina.core.ContainerBase$ContainerBackgroundProcessor.run(ContainerBase.java:1591) [jbossweb-7.0.17.Final-redhat-1.jar:]
[JBossINF]      at java.lang.Thread.run(Thread.java:662) [rt.jar:1.6.0_30]
[JBossINF] 
{code}

Comment 1 Jitka Kozana 2012-10-26 10:35:03 UTC
Link: Added: This issue is a dependency of AS7-5688


Comment 2 Ladislav Thon 2012-10-29 07:59:35 UTC
Note to self: this is very easy to reproduce even in the tiniest clustered web app that has sessions, just use this extremely restrictive passivation configuration:

{code:xml}
<jboss-web xmlns="http://www.jboss.com/xml/ns/javaee"
           xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
           xsi:schemaLocation="http://www.jboss.com/xml/ns/javaee http://www.jboss.org/j2ee/schema/jboss-web_6_0.xsd"
           version="6.0">

    <max-active-sessions>2</max-active-sessions>

    <passivation-config>
        <use-session-passivation>true</use-session-passivation>
        <passivation-min-idle-time>1</passivation-min-idle-time>
        <passivation-max-idle-time>2</passivation-max-idle-time>
    </passivation-config>

</jboss-web>
{code}

Three requests to the app via {{curl}} and boom.

Comment 3 Richard Janík 2012-11-07 09:03:37 UTC
There were very similar exceptions with undeploy (all scenarios - DIST/REPL-SYNC/ASYNC):
{code}
[JBossINF] 09:30:50,987 ERROR [org.infinispan.interceptors.InvocationContextInterceptor] (pool-16-thread-1) ISPN000136: Execution error: java.lang.NullPointerException
[JBossINF] 	at org.infinispan.context.impl.AbstractTxInvocationContext.clearLockedKeys(AbstractTxInvocationContext.java:100)
[JBossINF] 	at org.infinispan.util.concurrent.locks.LockManagerImpl.unlockAll(LockManagerImpl.java:116)
[JBossINF] 	at org.infinispan.interceptors.locking.AbstractTxLockingInterceptor.visitEvictCommand(AbstractTxLockingInterceptor.java:86)
[JBossINF] 	at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF] 	at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF] 	at org.infinispan.interceptors.base.CommandInterceptor.handleDefault(CommandInterceptor.java:130)
[JBossINF] 	at org.infinispan.commands.AbstractVisitor.visitEvictCommand(AbstractVisitor.java:87)
[JBossINF] 	at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF] 	at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF] 	at org.infinispan.interceptors.MarshalledValueInterceptor.visitEvictCommand(MarshalledValueInterceptor.java:188)
[JBossINF] 	at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF] 	at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF] 	at org.infinispan.interceptors.base.CommandInterceptor.handleDefault(CommandInterceptor.java:130)
[JBossINF] 	at org.infinispan.commands.AbstractVisitor.visitEvictCommand(AbstractVisitor.java:87)
[JBossINF] 	at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF] 	at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF] 	at org.infinispan.interceptors.base.CommandInterceptor.handleDefault(CommandInterceptor.java:130)
[JBossINF] 	at org.infinispan.commands.AbstractVisitor.visitEvictCommand(AbstractVisitor.java:87)
[JBossINF] 	at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF] 	at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF] 	at org.infinispan.interceptors.CacheMgmtInterceptor.visitEvictCommand(CacheMgmtInterceptor.java:86)
[JBossINF] 	at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF] 	at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF] 	at org.infinispan.interceptors.InvocationContextInterceptor.handleAll(InvocationContextInterceptor.java:132)
[JBossINF] 	at org.infinispan.interceptors.InvocationContextInterceptor.handleDefault(InvocationContextInterceptor.java:91)
[JBossINF] 	at org.infinispan.commands.AbstractVisitor.visitEvictCommand(AbstractVisitor.java:87)
[JBossINF] 	at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF] 	at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF] 	at org.infinispan.interceptors.base.CommandInterceptor.handleDefault(CommandInterceptor.java:130)
[JBossINF] 	at org.infinispan.commands.AbstractVisitor.visitEvictCommand(AbstractVisitor.java:87)
[JBossINF] 	at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF] 	at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF] 	at org.infinispan.interceptors.BatchingInterceptor.handleDefault(BatchingInterceptor.java:80)
[JBossINF] 	at org.infinispan.commands.AbstractVisitor.visitEvictCommand(AbstractVisitor.java:87)
[JBossINF] 	at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF] 	at org.infinispan.interceptors.InterceptorChain.invoke(InterceptorChain.java:345)
[JBossINF] 	at org.infinispan.CacheImpl.evict(CacheImpl.java:382)
[JBossINF] 	at org.infinispan.CacheImpl.evict(CacheImpl.java:375)
[JBossINF] 	at org.infinispan.AbstractDelegatingCache.evict(AbstractDelegatingCache.java:60)
[JBossINF] 	at org.jboss.as.clustering.ejb3.cache.backing.infinispan.InfinispanBackingCacheEntryStore$5.invoke(InfinispanBackingCacheEntryStore.java:299)
[JBossINF] 	at org.jboss.as.clustering.ejb3.cache.backing.infinispan.InfinispanBackingCacheEntryStore$5.invoke(InfinispanBackingCacheEntryStore.java:296)
[JBossINF] 	at org.jboss.as.clustering.infinispan.invoker.SimpleCacheInvoker.invoke(SimpleCacheInvoker.java:34)
[JBossINF] 	at org.jboss.as.clustering.infinispan.invoker.BatchCacheInvoker.invoke(BatchCacheInvoker.java:48)
[JBossINF] 	at org.jboss.as.clustering.infinispan.invoker.RetryingCacheInvoker.invoke(RetryingCacheInvoker.java:81)
[JBossINF] 	at org.jboss.as.clustering.ejb3.cache.backing.infinispan.InfinispanBackingCacheEntryStore.passivate(InfinispanBackingCacheEntryStore.java:303)
[JBossINF] 	at org.jboss.as.ejb3.cache.impl.backing.SerializationGroupMemberContainer.passivate(SerializationGroupMemberContainer.java:299) [jboss-as-ejb3-7.1.3.Final-redhat-3.jar:7.1.3.Final-redhat-3]
[JBossINF] 	at org.jboss.as.ejb3.cache.impl.backing.SerializationGroupMemberContainer.passivate(SerializationGroupMemberContainer.java:51) [jboss-as-ejb3-7.1.3.Final-redhat-3.jar:7.1.3.Final-redhat-3]
[JBossINF] 	at org.jboss.as.ejb3.cache.impl.backing.PassivatingBackingCacheImpl.passivate(PassivatingBackingCacheImpl.java:195) [jboss-as-ejb3-7.1.3.Final-redhat-3.jar:7.1.3.Final-redhat-3]
[JBossINF] 	at org.jboss.as.ejb3.cache.impl.backing.PassivatingBackingCacheImpl.passivate(PassivatingBackingCacheImpl.java:60) [jboss-as-ejb3-7.1.3.Final-redhat-3.jar:7.1.3.Final-redhat-3]
[JBossINF] 	at org.jboss.as.ejb3.cache.spi.impl.PassivateTask.run(PassivateTask.java:46) [jboss-as-ejb3-7.1.3.Final-redhat-3.jar:7.1.3.Final-redhat-3]
[JBossINF] 	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441) [rt.jar:1.6.0_30]
[JBossINF] 	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303) [rt.jar:1.6.0_30]
[JBossINF] 	at java.util.concurrent.FutureTask.run(FutureTask.java:138) [rt.jar:1.6.0_30]
[JBossINF] 	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$301(ScheduledThreadPoolExecutor.java:98) [rt.jar:1.6.0_30]
[JBossINF] 	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:206) [rt.jar:1.6.0_30]
[JBossINF] 	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886) [rt.jar:1.6.0_30]
[JBossINF] 	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908) [rt.jar:1.6.0_30]
[JBossINF] 	at java.lang.Thread.run(Thread.java:662) [rt.jar:1.6.0_30]
{code}

{code}
[JBossINF] 09:30:50,992 INFO  [org.jboss.as.ejb3.cache.spi.impl.PassivateTask] (pool-16-thread-1) null: java.lang.NullPointerException
[JBossINF] 	at org.infinispan.context.impl.AbstractTxInvocationContext.clearLockedKeys(AbstractTxInvocationContext.java:100)
[JBossINF] 	at org.infinispan.util.concurrent.locks.LockManagerImpl.unlockAll(LockManagerImpl.java:116)
[JBossINF] 	at org.infinispan.interceptors.locking.AbstractTxLockingInterceptor.visitEvictCommand(AbstractTxLockingInterceptor.java:86)
[JBossINF] 	at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF] 	at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF] 	at org.infinispan.interceptors.base.CommandInterceptor.handleDefault(CommandInterceptor.java:130)
[JBossINF] 	at org.infinispan.commands.AbstractVisitor.visitEvictCommand(AbstractVisitor.java:87)
[JBossINF] 	at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF] 	at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF] 	at org.infinispan.interceptors.MarshalledValueInterceptor.visitEvictCommand(MarshalledValueInterceptor.java:188)
[JBossINF] 	at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF] 	at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF] 	at org.infinispan.interceptors.base.CommandInterceptor.handleDefault(CommandInterceptor.java:130)
[JBossINF] 	at org.infinispan.commands.AbstractVisitor.visitEvictCommand(AbstractVisitor.java:87)
[JBossINF] 	at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF] 	at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF] 	at org.infinispan.interceptors.base.CommandInterceptor.handleDefault(CommandInterceptor.java:130)
[JBossINF] 	at org.infinispan.commands.AbstractVisitor.visitEvictCommand(AbstractVisitor.java:87)
[JBossINF] 	at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF] 	at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF] 	at org.infinispan.interceptors.CacheMgmtInterceptor.visitEvictCommand(CacheMgmtInterceptor.java:86)
[JBossINF] 	at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF] 	at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF] 	at org.infinispan.interceptors.InvocationContextInterceptor.handleAll(InvocationContextInterceptor.java:132)
[JBossINF] 	at org.infinispan.interceptors.InvocationContextInterceptor.handleDefault(InvocationContextInterceptor.java:91)
[JBossINF] 	at org.infinispan.commands.AbstractVisitor.visitEvictCommand(AbstractVisitor.java:87)
[JBossINF] 	at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF] 	at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF] 	at org.infinispan.interceptors.base.CommandInterceptor.handleDefault(CommandInterceptor.java:130)
[JBossINF] 	at org.infinispan.commands.AbstractVisitor.visitEvictCommand(AbstractVisitor.java:87)
[JBossINF] 	at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF] 	at org.infinispan.interceptors.base.CommandInterceptor.invokeNextInterceptor(CommandInterceptor.java:116)
[JBossINF] 	at org.infinispan.interceptors.BatchingInterceptor.handleDefault(BatchingInterceptor.java:80)
[JBossINF] 	at org.infinispan.commands.AbstractVisitor.visitEvictCommand(AbstractVisitor.java:87)
[JBossINF] 	at org.infinispan.commands.write.EvictCommand.acceptVisitor(EvictCommand.java:47)
[JBossINF] 	at org.infinispan.interceptors.InterceptorChain.invoke(InterceptorChain.java:345)
[JBossINF] 	at org.infinispan.CacheImpl.evict(CacheImpl.java:382)
[JBossINF] 	at org.infinispan.CacheImpl.evict(CacheImpl.java:375)
[JBossINF] 	at org.infinispan.AbstractDelegatingCache.evict(AbstractDelegatingCache.java:60)
[JBossINF] 	at org.jboss.as.clustering.ejb3.cache.backing.infinispan.InfinispanBackingCacheEntryStore$5.invoke(InfinispanBackingCacheEntryStore.java:299)
[JBossINF] 	at org.jboss.as.clustering.ejb3.cache.backing.infinispan.InfinispanBackingCacheEntryStore$5.invoke(InfinispanBackingCacheEntryStore.java:296)
[JBossINF] 	at org.jboss.as.clustering.infinispan.invoker.SimpleCacheInvoker.invoke(SimpleCacheInvoker.java:34)
[JBossINF] 	at org.jboss.as.clustering.infinispan.invoker.BatchCacheInvoker.invoke(BatchCacheInvoker.java:48)
[JBossINF] 	at org.jboss.as.clustering.infinispan.invoker.RetryingCacheInvoker.invoke(RetryingCacheInvoker.java:81)
[JBossINF] 	at org.jboss.as.clustering.ejb3.cache.backing.infinispan.InfinispanBackingCacheEntryStore.passivate(InfinispanBackingCacheEntryStore.java:303)
[JBossINF] 	at org.jboss.as.ejb3.cache.impl.backing.SerializationGroupMemberContainer.passivate(SerializationGroupMemberContainer.java:299) [jboss-as-ejb3-7.1.3.Final-redhat-3.jar:7.1.3.Final-redhat-3]
[JBossINF] 	at org.jboss.as.ejb3.cache.impl.backing.SerializationGroupMemberContainer.passivate(SerializationGroupMemberContainer.java:51) [jboss-as-ejb3-7.1.3.Final-redhat-3.jar:7.1.3.Final-redhat-3]
[JBossINF] 	at org.jboss.as.ejb3.cache.impl.backing.PassivatingBackingCacheImpl.passivate(PassivatingBackingCacheImpl.java:195) [jboss-as-ejb3-7.1.3.Final-redhat-3.jar:7.1.3.Final-redhat-3]
[JBossINF] 	at org.jboss.as.ejb3.cache.impl.backing.PassivatingBackingCacheImpl.passivate(PassivatingBackingCacheImpl.java:60) [jboss-as-ejb3-7.1.3.Final-redhat-3.jar:7.1.3.Final-redhat-3]
[JBossINF] 	at org.jboss.as.ejb3.cache.spi.impl.PassivateTask.run(PassivateTask.java:46) [jboss-as-ejb3-7.1.3.Final-redhat-3.jar:7.1.3.Final-redhat-3]
[JBossINF] 	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441) [rt.jar:1.6.0_30]
[JBossINF] 	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303) [rt.jar:1.6.0_30]
[JBossINF] 	at java.util.concurrent.FutureTask.run(FutureTask.java:138) [rt.jar:1.6.0_30]
[JBossINF] 	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$301(ScheduledThreadPoolExecutor.java:98) [rt.jar:1.6.0_30]
[JBossINF] 	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:206) [rt.jar:1.6.0_30]
[JBossINF] 	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886) [rt.jar:1.6.0_30]
[JBossINF] 	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908) [rt.jar:1.6.0_30]
[JBossINF] 	at java.lang.Thread.run(Thread.java:662) [rt.jar:1.6.0_30]
{code}
Perhaps this is related?

links:
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-Failover/job/eap-6x-failover-ejb-ejbremote-undeploy-repl-async/8/
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-Failover/job/eap-6x-failover-ejb-ejbremote-undeploy-repl-sync/17/
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-Failover/job/eap-6x-failover-ejb-ejbremote-undeploy-dist-async/6/
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-Failover/job/eap-6x-failover-ejb-ejbremote-undeploy-dist-sync/7/

Comment 4 Anne-Louise Tangring 2012-11-13 20:53:17 UTC
Docs QE Status: Removed: NEW 


Comment 5 Ladislav Thon 2012-11-30 15:27:53 UTC
Affects 6.0.1.ER4.1 as well. Added 6.0.1.ER4 to _Affects Version/s_, because we don't have 6.0.1.ER4.1 in JIRA (oh those point ER releases...).

Comment 6 Shay Matasaro 2013-01-21 16:13:09 UTC
new customer case reporting this issue
https://c.na7.visual.force.com/apex/Case_View?id=500A000000CRoFB&sfdc.override=1

Comment 7 Jitka Kozana 2013-02-06 09:28:02 UTC
Affects 6.1.0.DR3.

Comment 15 Radoslav Husar 2013-05-13 13:03:43 UTC
Infinispan ugprade is in place already but BZ was not moved yet, moving this to QA now.

Comment 16 Jitka Kozana 2013-05-13 13:14:24 UTC
Verified.


Note You need to log in before you can comment on or make changes to this bug.